Debian Bug report logs - #589823
debian-installer (squeeze alpha): Writes grub on usb-stic with installer

version graph

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Bernd Zeimetz <bzed@debian.org>

Date: Wed, 21 Jul 2010 12:12:05 UTC

Severity: serious

Tags: d-i, sid, squeeze

Merged with 568529, 579519, 603942, 604992, 605562, 609314

Found in versions grub-installer/0.50, grub-installer/1.49, grub-installer/1.56, grub-installer/1.57, grub-installer/1.58

Fixed in version grub-installer/1.59

Done: Otavio Salvador <otavio@ossystems.com.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#589823; Package debian-installer. (Wed, 21 Jul 2010 12:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bernd Zeimetz <bzed@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 21 Jul 2010 12:12:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bernd Zeimetz <bzed@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer (squeeze alpha): Writes grub on usb-stic with installer
Date: Wed, 21 Jul 2010 14:10:11 +0200
Package: debian-installer
Severity: serious

Hi,

installing grub2 in the squeeze installer resulted in
- breaking my USB stick installer by writing grub into its MBR
- writing the wrong harddrive id into the grub.cfg (hd1 instead of 2)
so for the normal user the freshly installed system would be unbootable.
Also the installer stick needs to be recreated now.

As this is probably a common way to install Debian and the result is a
pretty bad user experience, I'm filing the bug as serious.

(everything else worked completely painfree, thanks!)

Cheers,

Bernd

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.34-think (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Bug reassigned from package 'debian-installer' to 'grub-installer'. Request was from Piotr Lewandowski <piotr.lewandowski@gmail.com> to control@bugs.debian.org. (Wed, 21 Jul 2010 12:36:03 GMT) Full text and rfc822 format available.

Forcibly Merged 568529 579519 589823. Request was from Piotr Lewandowski <piotr.lewandowski@gmail.com> to control@bugs.debian.org. (Wed, 21 Jul 2010 12:36:05 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Mon, 26 Jul 2010 11:09:03 GMT) Full text and rfc822 format available.

Message sent on to Bernd Zeimetz <bzed@debian.org>:
Bug#589823. (Sat, 30 Oct 2010 16:27:13 GMT) Full text and rfc822 format available.

Message #14 received at 589823-submitter@bugs.debian.org (full text, mbox):

From: Gaudenz Steinlin <gaudenz@debian.org>
To: 579519-submitter@bugs.debian.org, 568529-submitter@bugs.debian.org, 589823-submitter@bugs.debian.org
Subject: Re: Bug#579519: grub-installer - Overwrites bootloaders on different device
Date: Sat, 30 Oct 2010 18:19:41 +0200
[Message part 1 (text/plain, inline)]
Hi everyone

You all reported issues with installing debian with debian-installer
from usb sticks. The issue was that grub2 got installed on the mbr of
the stick instead to the harddisk. But none of you sumitted a full
installation log or more detailed information about your hardware. 

Can you please send the output of the following commands with the usb
stick inserted and without it:
grub-mkdevicemap --no-floppy -m -
readlink -f $(grub-mkdevicemap --no-floppy -m - | head -n1 | cut -f2)

Also the installation log and hardware summary would be interesting if
you still have it. It can be found in /var/log/installer

Even more usefull would be if you could retry the installation using
the latest beta1 images:
http://cdimage.debian.org/cdimage/squeeze_di_beta1/

Gaudenz

Excerpts from Bastian Blank's message of Mit Apr 28 11:55:51 +0200 2010:
> Package: grub-installer
> Version: 0.50
> Severity: critical
> 
> grub-installer managed to overwrite the bootloader on the usb stick I
> used to boot the installer instead of the root device.
> 
> Bastian
> 
--
Ever tried. Ever failed. No matter.
Try again. Fail again. Fail better.
~ Samuel Beckett ~
[signature.asc (application/pgp-signature, attachment)]

Forcibly Merged 568529 579519 589823 605562. Request was from Gaudenz Steinlin <gaudenz@debian.org> to control@bugs.debian.org. (Wed, 01 Dec 2010 11:00:09 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions grub-installer/1.57 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Dec 2010 10:39:07 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'critical' Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Thu, 02 Dec 2010 10:39:09 GMT) Full text and rfc822 format available.

Merged 568529 579519 589823 604992 605562. Request was from Joachim Schleicher <joachimsl@gmx.de> to control@bugs.debian.org. (Fri, 31 Dec 2010 10:31:16 GMT) Full text and rfc822 format available.

Bug Marked as found in versions grub-installer/1.57. Request was from Joachim Schleicher <joachimsl@gmx.de> to control@bugs.debian.org. (Fri, 31 Dec 2010 10:31:20 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Joachim Schleicher <joachim@dormettingen.de> to control@bugs.debian.org. (Mon, 03 Jan 2011 13:33:07 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Joachim Schleicher <joachim@dormettingen.de> to control@bugs.debian.org. (Mon, 03 Jan 2011 13:33:10 GMT) Full text and rfc822 format available.

Merged 568529 579519 589823 603942 604992 605562. Request was from Joachim Schleicher <joachimsl@gmx.de> to control@bugs.debian.org. (Mon, 03 Jan 2011 13:57:13 GMT) Full text and rfc822 format available.

Bug Marked as found in versions grub-installer/1.58. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Tue, 11 Jan 2011 12:18:05 GMT) Full text and rfc822 format available.

Merged 568529 579519 589823 603942 604992 605562 609722. Request was from Joachim Schleicher <joachimsl@gmx.de> to control@bugs.debian.org. (Fri, 14 Jan 2011 17:39:15 GMT) Full text and rfc822 format available.

Forcibly Merged 568529 579519 589823 603942 604992 605562 609314 609722. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 15 Jan 2011 13:27:10 GMT) Full text and rfc822 format available.

Disconnected #609722 from all other report(s). Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 23 Jan 2011 19:45:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Aug 2011 07:36:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:51:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.